Bug 18695 - Translatability: Get rid of [%% INCLUDE in translation for circulation.tt
Summary: Translatability: Get rid of [%% INCLUDE in translation for circulation.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 08:46 UTC by Marc Véron
Modified: 2017-07-31 11:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18695: Translatability: Get rid of [%% INCLUDE in translation for circulation.tt (1.60 KB, patch)
2017-05-30 08:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18695: Translatability: Get rid of [%% INCLUDE in translation for circulation.tt (1.68 KB, patch)
2017-06-05 20:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-30 08:46:55 UTC
The file circ/circulation.tt exposes the following line to translation:
%s %s [%% INCLUDE 'blocked-fines.inc' fines = chargesamount %%] %s %s 
Translators should not be confronted with code internals.
Comment 1 Marc Véron 2017-05-30 08:51:27 UTC
Created attachment 63838 [details] [review]
Bug 18695: Translatability: Get rid of [%% INCLUDE in translation for circulation.tt

The file circ/circulation.tt exposes the following line to translation:
%s %s [%% INCLUDE 'blocked-fines.inc' fines = chargesamount %%] %s %s
Translators should not be confronted with code internals.

This patch fixes it by removing a line break.

To test:
- Verify that code change makes sense
- Run QA tools in newest version (check for line breaks in tt directives)
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that line mentioned above do
  no longer appear in aa-AA-staff-prog.po )
Comment 2 Jonathan Druart 2017-06-05 20:08:26 UTC
Created attachment 63993 [details] [review]
Bug 18695: Translatability: Get rid of [%% INCLUDE in translation for circulation.tt

The file circ/circulation.tt exposes the following line to translation:
%s %s [%% INCLUDE 'blocked-fines.inc' fines = chargesamount %%] %s %s
Translators should not be confronted with code internals.

This patch fixes it by removing a line break.

To test:
- Verify that code change makes sense
- Run QA tools in newest version (check for line breaks in tt directives)
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that line mentioned above do
  no longer appear in aa-AA-staff-prog.po )

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-05 20:18:07 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-06 19:03:56 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-12 08:52:00 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-13 05:40:58 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 7 Katrin Fischer 2017-06-13 05:41:25 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 8 Mason James 2017-07-31 11:17:57 UTC
Pushed to 16.05.x, for 16.05.15 release